:root {
    --white: #FFFFFF;
    --text: #0A0A0A;
    --primary: #008797;
    --secondary: #007684;
    --blue: #006BB7;
}

body {
    font-size: 16px;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    font-weight: normal;
    margin: 0;
    color: var(--text);
    min-height: 100vh;
}

a {
    text-decoration: none;
    color: inherit;
}

h1, h2, h3, h4, h5, h6, p {
    margin: 0;
    font-weight: normal;
}

.text-h1 {
    font-size: 3.5rem;
    line-height: 4.5rem;
}

.text-h4 {
    font-size: 1.25rem;
    line-height: 1.75rem;
}

.text-p {
    font-size: 1rem;
    line-height: 1.5rem;
}

.text-h5 {
    font-size: 0.875rem;
    line-height: 1.25rem;
}

strong {
    font-weight: bold;
}

.button {
    width: 250px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1rem;
    font-weight: bold;
    border-radius: 8px;
    box-sizing: border-box;
}

.button.outline {
    border: 2px solid var(--secondary);
    color: var(--secondary);
    background-color: var(--white);
    transition: background-color 0.25s, color 0.25s;
}

.button.outline:hover {
    background-color: var(--secondary);
    color: var(--white);
}

.button.fill {
    background-color: var(--secondary);
    color: var(--white);
    transition: opacity 0.25s;
}

.button.fill:hover {
    opacity: 0.5;
}


/* Local */

.home {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.section-top {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 120px 180px 180px;
    height: 100%;
}

.logo {
    width: 320px;
}

.headline {
    margin-top: 60px;
    max-width: 900px;
    font-weight: 300;
}

.buttons {
    display: flex;
    margin-top: 60px;
}

#button-contact {
    margin-right: 12px;
}

.contact-methods {
    margin-top: 90px;
    display: flex;
}

.contact-method {
    display: flex;
    align-items: center;
}

.contact-method img {
    margin-right: 8px;
}

#contact-phone {
    margin-right: 45px;
}

.soon {
    margin-top: 90px;
    font-weight: bold;
    color: var(--primary);
}

.soon img {
    margin-right: 12px;
}

.section-association {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--blue);
    color: var(--white);
    padding: 22px 180px;
    margin-top: auto;
}

.association-text {
    font-weight: 500;
}

.footer {
    display: flex;
    justify-content: center;
    background-color: var(--text);
    color: white;
    font-weight: 400;
    padding: 10px 0;
}

@media (min-width: 992px) and (max-width: 1920px){
    .text-h1 {
        font-size: 3rem;
        line-height: 4rem;
    }

    .section-top {
        padding: 90px 120px 150px;
    }

    .headline {
        max-width: 840px;
    }

    .section-association {
        padding: 22px 120px;
    }
}

@media (max-width: 991px){
    .text-h1 {
        font-size: 2rem;
        line-height: 2.5rem;
    }

    .button {
        width: 200px;
    }

    .section-top {
        padding: 90px 60px;
    }

    .logo {
        width: 240px;
    }

    .headline {
        max-width: 520px;
    }

    .section-association {
        padding: 22px 60px;
    }
}

@media (max-width: 575px){
    .text-h1 {
        font-size: 1.6rem;
        line-height: 2.2rem;
    }

    .text-p {
        font-size: 0.875rem;
        line-height: 1.25rem;
    }

    .text-h5 {
        font-size: 0.75rem;
        line-height: 1rem;
    }

    .buttons {
        width: 100%;
    }

    .button {
        width: 100%;
    }

    .section-top {
        padding: 45px 22px;
        align-items: center;
    }

    .logo {
        width: 180px;
    }

    .headline {
        max-width: none;
        text-align: center;
    }

    .contact-methods {
        flex-direction: column;
        width: 100%;
        margin-top: 60px;
    }

    #contact-phone {
        margin-bottom: 12px;
    }

    .soon {
        margin-top: 60px;
    }

    .section-association {
        padding: 22px;
        flex-direction: column-reverse;
    }

    .association-text {
        text-align: center;
    }

    .association-icon {
        width: 120px;
        margin-bottom: 18px;
    }
}
